Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607939 - Error Value: refresh_cache() takes exactly 2 arguments (1 given)
Error Value: refresh_cache() takes exactly 2 arguments (1 given)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 05:03 EDT by Martin Sourada
Modified: 2010-11-03 15:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 15:03:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2010-06-25 05:03:05 EDT
Description of problem:
PackageKit refuses to run with this error message:
Error Type: <type 'exceptions.TypeError'>
Error Value: refresh_cache() takes exactly 2 arguments (1 given)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3247, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3243, in main
    backend = PackageKitYumBackend('', lock=True)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 243, in __init__
    self.refresh_cache()

Version-Release number of selected component (if applicable):
PackageKit-0.5.7-2.fc12.i686
yum-3.2.27-3.fc12.noarch

How reproducible:
always

Steps to Reproduce:
1. wait for update check or run packagekit (I tried it with the gnome frontend) manually
  
Actual results:
The above mentioned error message appears.

Expected results:
PackageKit correctly checks for updates/starts.

Additional info:
It seems it started happening after I manually cleared the content of /var/cache...
Comment 1 Richard Hughes 2010-07-08 05:01:33 EDT
I'm guessing this works in F13....?
Comment 2 Martin Sourada 2010-07-08 08:23:47 EDT
(In reply to comment #1)
> I'm guessing this works in F13....?    

Depends on version. With 0.6.3-1.fc13 I was able to reproduce it by:
1. delete /var/cache/PackageKit

But after updating to 0.6.6-1.fc13 this is no longer a problem and the cache gets correctly regenerated.
Comment 3 Bug Zapper 2010-11-03 08:52:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Martin Sourada 2010-11-03 15:03:34 EDT
Sorry, I don't use F12 anymore, but as I said above, it's fixed in 0.6.6-1.fc13 and in F14 it works as well.

Note You need to log in before you can comment on or make changes to this bug.